For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • POSTTrigger a dynamic pull request run
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Webhooks

Trigger a project webhook

||View as Markdown|
POST
https://tester.army/api/v1/webhook/:webhookId/:secret
POST
/api/v1/webhook/:webhookId/:secret
$curl -X POST https://tester.army/api/v1/webhook/webhookId/secret \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "received": true,
3 "ignored": true,
4 "reason": "string",
5 "runId": "string",
6 "batchId": "string"
7}
Receive a deployment webhook and trigger PR testing when configured.
Was this page helpful?
Previous

Trigger a test group run

Next

Trigger a group webhook

Built with

Path parameters

webhookIdstringRequiredformat: "uuid"
Webhook ID
secretstringRequired
Webhook secret

Request

This endpoint expects a map from strings to any.

Response

Webhook accepted
receivedboolean
ignoredboolean
reasonstring
runIdstringformat: "uuid"
batchIdstringformat: "uuid"

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error